using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace DayOf1440.UI
{
    public partial class LifeForm : BaseForm
    {
        public LifeForm()
        {
            InitializeComponent();
        }

        private void panel1_DoubleClick(object sender, EventArgs e)
        {
            Application.Exit();

        }

        private void panel3_DoubleClick(object sender, EventArgs e)
        {
            Application.Exit();

        }

        private void panel2_DoubleClick(object sender, EventArgs e)
        {
            Application.Exit();

        }

        private void tsm_home_Click(object sender, EventArgs e)
        {
            Go(typeof(MainForm));
        }

        private void panel1_Paint(object sender, PaintEventArgs e)
        {

        }

        private void LifeForm_Load(object sender, EventArgs e)
        {

        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            int tian = (int)((DateTime.Now.Subtract(DateTime.Today).TotalMinutes / 14.4));
            progressBar1.Value = tian;//天
            label7.Text = tian.ToString() +"%";

            //int zhou = (int)(DateTime.Today.);
            progressBar2.Value = 50;//周
            label8.Text = tian.ToString() + "%";

            progressBar3.Value = 50;//月
            label9.Text = tian.ToString() + "%";

            progressBar4.Value = 50;//年
            label10.Text = tian.ToString() + "%";

            progressBar4.Value = 50;//生
            label11.Text = tian.ToString() + "%";

        }
    }
}
